gsasl_client_start(3)

NAME
gsasl_client_start - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_client_start(Gsasl * ctx, const char * mech, Gsasl_session ** sctx);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

const char * mech
    name of SASL mechanism.

Gsasl_session ** sctx
    pointer to client handle.

DESCRIPTION
This functions initiates a client SASL authentication. This function must be called before any other gsasl_client_*() function is called.

RETURN VALUE
Returns GSASL_OK if successful, or error code.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.